Index: branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IORequestHead.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IORequestHead.cs	(revision 266)
+++ branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IORequestHead.cs	(revision 267)
@@ -77,35 +77,35 @@
         public bool SelectAction(string AddSQLString, ref List<RequestHead> data, bool bConnect = true)
         {
             // インターフェース
-            string strcmd = "";
+            StringBuilder strcmd = new StringBuilder();
             ArrayList arData = new ArrayList();
 
             try
             {
                 // SQL作成（DateTime型が変換できないのでCharに変換しておく）
-                strcmd = "SELECT";
-                strcmd += " RequestNo";
-                strcmd += " ,ReqConstructionCode";
-                strcmd += " ,OrderNo";
-                strcmd += " ,RequestMonth";
-                strcmd += " ,OrderersDivision";
-                strcmd += " ,OrderersCode";
-                strcmd += " ,OrderersName";
-                strcmd += " ,ReqConstructionName";
-                strcmd += " ,RequestTotalAmount";
-                strcmd += " ,RequestAmount";
-                strcmd += " ,TaxAmount";
-                strcmd += " ,UnpaidAmount";
-                strcmd += " ,Note";
-                strcmd += " ,AssignedFlg";
-                strcmd += " ,InvoiceNo";
-                strcmd += " ,DATE_FORMAT(EntryDate, '%Y/%m/%d %H:%i:%s')";
-                strcmd += " ,DATE_FORMAT(UpdateDate, '%Y/%m/%d %H:%i:%s')";
-                strcmd += " FROM RequestHead";
-                strcmd += AddSQLString;
+                strcmd.Append("SELECT");
+                strcmd.Append(" RequestNo");
+                strcmd.Append(" ,ReqConstructionCode");
+                strcmd.Append(" ,OrderNo");
+                strcmd.Append(" ,RequestMonth");
+                strcmd.Append(" ,OrderersDivision");
+                strcmd.Append(" ,OrderersCode");
+                strcmd.Append(" ,OrderersName");
+                strcmd.Append(" ,ReqConstructionName");
+                strcmd.Append(" ,RequestTotalAmount");
+                strcmd.Append(" ,RequestAmount");
+                strcmd.Append(" ,TaxAmount");
+                strcmd.Append(" ,UnpaidAmount");
+                strcmd.Append(" ,Note");
+                strcmd.Append(" ,AssignedFlg");
+                strcmd.Append(" ,InvoiceNo");
+                strcmd.Append(" ,DATE_FORMAT(EntryDate, '%Y/%m/%d %H:%i:%s')");
+                strcmd.Append(" ,DATE_FORMAT(UpdateDate, '%Y/%m/%d %H:%i:%s')");
+                strcmd.Append(" FROM RequestHead");
+                strcmd.Append(AddSQLString);
 
                 // SQL実行
-                if (!ExecuteReader(strcmd, ref arData, bConnect)) return false;
+                if (!ExecuteReader(strcmd.ToString(), ref arData, bConnect)) return false;
 
                 // データセット
                 foreach (object[] objwrk in arData)
@@ -119,7 +119,7 @@
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
                 return false;
             }
         }
@@ -133,7 +133,7 @@
         /// <returns>true：成功 false：失敗</returns>
         public bool InsertAction(List<RequestHead> data, bool bConnect = true)
         {
-            string strcmd = "";
+            StringBuilder strcmd = new StringBuilder();
             try
             {
                 foreach (RequestHead work in data)
@@ -144,7 +144,7 @@
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
                 return false;
             }
         }
@@ -159,42 +159,42 @@
         /// <returns></returns>
         public bool InsertAction(RequestHead data, bool bConnect = true)
         {
-            string strcmd = "";
+            StringBuilder strcmd = new StringBuilder();
             try
             {
 
-                strcmd = "INSERT INTO RequestHead";
-                strcmd += " VALUES (";
+                strcmd.Append("INSERT INTO RequestHead");
+                strcmd.Append(" VALUES (");
 
-                strcmd += string.Format(" {0}", data.RequestNo.ToString());
+                strcmd.AppendFormat(" {0}", data.RequestNo.ToString());
 
-                strcmd += string.Format(", {0}", data.ReqConstructionCode.ToString());
-                strcmd += string.Format(", {0}", data.OrderNo.ToString());
+                strcmd.AppendFormat(", {0}", data.ReqConstructionCode.ToString());
+                strcmd.AppendFormat(", {0}", data.OrderNo.ToString());
 
-                strcmd += string.Format(", {0}", data.RequestMonth.ToString());
-                strcmd += string.Format(", {0}", data.OrderersDivision.ToString());
-                strcmd += string.Format(", {0}", data.OrderersCode.ToString());
-                strcmd += string.Format(", '{0}'", data.OrderersName.ToString());
-                strcmd += string.Format(", '{0}'", data.ReqConstructionName.ToString());
-                strcmd += string.Format(", {0}", data.RequestTotalAmount.ToString());
-                strcmd += string.Format(", {0}", data.RequestAmount.ToString());
-                strcmd += string.Format(", {0}", data.TaxAmount.ToString());
-                strcmd += string.Format(", {0}", data.UnpaidAmount.ToString());
-                strcmd += string.Format(", '{0}'", data.Note.ToString());    
-                strcmd += string.Format(", {0}", data.AssignedFlg.ToString());
-                strcmd += string.Format(", {0}", data.InvoiceNo.ToString());
+                strcmd.AppendFormat(", {0}", data.RequestMonth.ToString());
+                strcmd.AppendFormat(", {0}", data.OrderersDivision.ToString());
+                strcmd.AppendFormat(", {0}", data.OrderersCode.ToString());
+                strcmd.AppendFormat(", '{0}'", data.OrderersName.ToString());
+                strcmd.AppendFormat(", '{0}'", data.ReqConstructionName.ToString());
+                strcmd.AppendFormat(", {0}", data.RequestTotalAmount.ToString());
+                strcmd.AppendFormat(", {0}", data.RequestAmount.ToString());
+                strcmd.AppendFormat(", {0}", data.TaxAmount.ToString());
+                strcmd.AppendFormat(", {0}", data.UnpaidAmount.ToString());
+                strcmd.AppendFormat(", '{0}'", data.Note.ToString());    
+                strcmd.AppendFormat(", {0}", data.AssignedFlg.ToString());
+                strcmd.AppendFormat(", {0}", data.InvoiceNo.ToString());
 
-                strcmd += ", NOW()";
-                strcmd += ", NOW()";
-                strcmd += ")";
+                strcmd.Append(", NOW()");
+                strcmd.Append(", NOW()");
+                strcmd.Append(")");
 
-                if (!ExecuteNonQuery(strcmd, bConnect)) return false;
+                if (!ExecuteNonQuery(strcmd.ToString(), bConnect)) return false;
 
                 return true;
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
                 return false;
             }
         }
@@ -235,45 +235,45 @@
         /// <returns>true：成功 false：失敗</returns>
         public bool UpdateAction(string AddSQLString, RequestHead data, bool bConnect = true)
         {
-            string strcmd = "";
+            StringBuilder strcmd = new StringBuilder();
             try
             {
 
-                strcmd = "UPDATE RequestHead";
+                strcmd.Append("UPDATE RequestHead");
 
-                strcmd += " SET";
+                strcmd.Append(" SET");
 
-                strcmd += string.Format(" ReqConstructionCode = {0}", data.ReqConstructionCode.ToString());
-                strcmd += string.Format(",OrderNo = {0}", data.OrderNo.ToString());
-                strcmd += string.Format(",RequestMonth = {0}", data.RequestMonth.ToString());
+                strcmd.AppendFormat(" ReqConstructionCode = {0}", data.ReqConstructionCode.ToString());
+                strcmd.AppendFormat(",OrderNo = {0}", data.OrderNo.ToString());
+                strcmd.AppendFormat(",RequestMonth = {0}", data.RequestMonth.ToString());
 
-                strcmd += string.Format(",OrderersDivision = {0}", data.OrderersDivision.ToString());
-                strcmd += string.Format(",OrderersCode = {0}", data.OrderersCode.ToString());
-                strcmd += string.Format(",OrderersName = '{0}'", data.OrderersName.ToString());
+                strcmd.AppendFormat(",OrderersDivision = {0}", data.OrderersDivision.ToString());
+                strcmd.AppendFormat(",OrderersCode = {0}", data.OrderersCode.ToString());
+                strcmd.AppendFormat(",OrderersName = '{0}'", data.OrderersName.ToString());
 
 
-                strcmd += string.Format(",ReqConstructionName = '{0}'", data.ReqConstructionName.ToString());
-                strcmd += string.Format(",RequestTotalAmount = {0}", data.RequestTotalAmount.ToString());
-                strcmd += string.Format(",RequestAmount = {0}", data.RequestAmount.ToString());
-                strcmd += string.Format(",TaxAmount = {0}", data.TaxAmount.ToString());
-                strcmd += string.Format(",UnpaidAmount = {0}", data.UnpaidAmount.ToString());
-                strcmd += string.Format(",Note = '{0}'", data.Note.ToString());
+                strcmd.AppendFormat(",ReqConstructionName = '{0}'", data.ReqConstructionName.ToString());
+                strcmd.AppendFormat(",RequestTotalAmount = {0}", data.RequestTotalAmount.ToString());
+                strcmd.AppendFormat(",RequestAmount = {0}", data.RequestAmount.ToString());
+                strcmd.AppendFormat(",TaxAmount = {0}", data.TaxAmount.ToString());
+                strcmd.AppendFormat(",UnpaidAmount = {0}", data.UnpaidAmount.ToString());
+                strcmd.AppendFormat(",Note = '{0}'", data.Note.ToString());
                 
-                strcmd += string.Format(",AssignedFlg = {0}", data.AssignedFlg.ToString());
-                strcmd += string.Format(",InvoiceNo = {0}", data.InvoiceNo.ToString());
+                strcmd.AppendFormat(",AssignedFlg = {0}", data.AssignedFlg.ToString());
+                strcmd.AppendFormat(",InvoiceNo = {0}", data.InvoiceNo.ToString());
 
-                strcmd += ", UpdateDate = NOW()";
+                strcmd.Append(", UpdateDate = NOW()");
 
-                //strcmd += string.Format(" Where RequestNo = {0}", data.RequestNo.ToString());
-                strcmd += AddSQLString;
+                //strcmd.AppendFormat(" Where RequestNo = {0}", data.RequestNo.ToString());
+                strcmd.Append(AddSQLString);
 
-                if (!ExecuteNonQuery(strcmd, bConnect)) return false;
+                if (!ExecuteNonQuery(strcmd.ToString(), bConnect)) return false;
 
                 return true;
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
                 return false;
             }
         }
@@ -289,18 +289,18 @@
         public bool DeleteAction(string AddSQLString, bool bConnect = true)
         {
             // インターフェース
-            string strcmd = "";
+            StringBuilder strcmd = new StringBuilder();
             try
             {
-                strcmd = string.Format("{0}{1}", "DELETE FROM RequestHead", AddSQLString);
+                strcmd.AppendFormat("{0}{1}", "DELETE FROM RequestHead", AddSQLString);
 
-                if (!ExecuteNonQuery(strcmd, bConnect)) return false;
+                if (!ExecuteNonQuery(strcmd.ToString(), bConnect)) return false;
 
                 return true;
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
                 return false;
             }
         }
@@ -379,7 +379,7 @@
                 wrk.RequestAmount = 0;
                 wrk.TaxAmount = 0;
                 wrk.UnpaidAmount = 0;
-                
+
                 wrk.Note = "";
 
                 wrk.AssignedFlg = 0;
@@ -407,17 +407,17 @@
         /// <returns>Where文字列</returns>
         public string CreatePrimarykeyString(int RequestNo)
         {
-            string strWork = string.Empty;
+            StringBuilder strWork = new StringBuilder();
             try
             {
-                strWork = string.Format(" Where RequestNo = {0}", RequestNo.ToString());
+                strWork.AppendFormat(" Where RequestNo = {0}", RequestNo.ToString());
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strWork);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strWork.ToString());
             }
 
-            return strWork;
+            return strWork.ToString();
         }
         #endregion
 
@@ -430,21 +430,21 @@
         /// <returns>Where文字列</returns>
         public string CreateSubkeyString(int ReqConstructionCode, int OrderNo = 0)
         {
-            string strWork = string.Empty;
+            StringBuilder strWork = new StringBuilder();
             try
             {
-                strWork = string.Format(" Where ReqConstructionCode = {0}", ReqConstructionCode.ToString() );
+                strWork.AppendFormat(" Where ReqConstructionCode = {0}", ReqConstructionCode.ToString() );
                 if (OrderNo > 0)
                 {
-                    strWork += string.Format(" And OrderNo = {0}", OrderNo.ToString());
+                    strWork.AppendFormat(" And OrderNo = {0}", OrderNo.ToString());
                 }
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strWork);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strWork.ToString());
             }
 
-            return strWork;
+            return strWork.ToString();
         }
         #endregion
 
@@ -453,15 +453,15 @@
         {
             int ret = -1;
 
-            string  sql = "";
+            StringBuilder sql = new StringBuilder();
             ArrayList arData = new ArrayList();
 
             try
             {
-                sql = string.Format("SELECT IFNULL(MAX(RequestNo),0) FROM RequestHead WHERE RequestMonth = {0}", RequestMonth) ;
+                sql.AppendFormat("SELECT IFNULL(MAX(RequestNo),0) FROM RequestHead WHERE RequestMonth = {0}", RequestMonth) ;
 
                 // SQL実行
-                if (!ExecuteReader(sql, ref arData, bConnect)) return -1;
+                if (!ExecuteReader(sql.ToString(), ref arData, bConnect)) return -1;
 
                 // データセット
                 foreach (object[] objwrk in arData)
@@ -482,7 +482,7 @@
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, sql);
+                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, sql.ToString());
             }
             return ret;
 
Index: branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOSalesGraphData.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOSalesGraphData.cs	(revision 266)
+++ branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOSalesGraphData.cs	(revision 267)
@@ -69,29 +69,29 @@
         public bool SelectAction(string AddSQLString, ref List<SalesGraphData> data, bool bConnect = true)
         {
             // インターフェース
-            string strcmd = "";
+            StringBuilder strcmd = new StringBuilder();
             ArrayList arData = new ArrayList();
 
             try
             {
                 // SQL作成（DateTime型が変換できないのでCharに変換しておく）
-                strcmd = "SELECT";
-                strcmd += " GraphDataCode,";
-                strcmd += " ConstructionPeriod,";
-                strcmd += " DATE_FORMAT(SalesDataDays, '%Y/%m/%d'),";
-                strcmd += " DisplayOrder,";
-                strcmd += " DataName,";
-                strcmd += " SalesAmount,";
-                strcmd += " AdministrativeExpense,";
-                strcmd += " GrossProfit,";
-                strcmd += " NetIncome,";
-                strcmd += " DATE_FORMAT(EntryDate, '%Y/%m/%d %H:%i:%s'),";
-                strcmd += " DATE_FORMAT(UpdateDate, '%Y/%m/%d %H:%i:%s')";
-                strcmd += " FROM SalesGraphData";
-                strcmd += AddSQLString;
+                strcmd.Append("SELECT");
+                strcmd.Append(" GraphDataCode,");
+                strcmd.Append(" ConstructionPeriod,");
+                strcmd.Append(" DATE_FORMAT(SalesDataDays, '%Y/%m/%d'),");
+                strcmd.Append(" DisplayOrder,");
+                strcmd.Append(" DataName,");
+                strcmd.Append(" SalesAmount,");
+                strcmd.Append(" AdministrativeExpense,");
+                strcmd.Append(" GrossProfit,");
+                strcmd.Append(" NetIncome,");
+                strcmd.Append(" DATE_FORMAT(EntryDate, '%Y/%m/%d %H:%i:%s'),");
+                strcmd.Append(" DATE_FORMAT(UpdateDate, '%Y/%m/%d %H:%i:%s')");
+                strcmd.Append(" FROM SalesGraphData");
+                strcmd.Append(AddSQLString);
 
                 // SQL実行
-                if (!ExecuteReader(strcmd, ref arData, bConnect)) return false;
+                if (!ExecuteReader(strcmd.ToString(), ref arData, bConnect)) return false;
 
                 // データセット
                 foreach (object[] objwrk in arData)
@@ -105,7 +105,7 @@
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
                 return false;
             }
 
@@ -118,90 +118,90 @@
         /// <returns>true：成功 false：失敗</returns>
         public bool InsertOneAction(SalesGraphData data, bool bConnect = true)
         {
-            string strcmd = "";
+            StringBuilder strcmd = new StringBuilder();
             try
             {
                 bool bColFirst = true;
-                strcmd = "INSERT INTO SalesGraphData";
-                strcmd += " (";
+                strcmd.Append("INSERT INTO SalesGraphData");
+                strcmd.Append(" (");
                 foreach (var gender in Enum.GetValues(typeof(NameColumn)))
                 {
-                    if (!bColFirst) strcmd += ", ";
-                    strcmd += gender.ToString();
+                    if (!bColFirst) strcmd.Append(", ");
+                    strcmd.Append(gender.ToString());
                     bColFirst = false;
                 }
-                strcmd += ") VALUES (";
+                strcmd.Append(") VALUES (");
 
-                strcmd += string.Format(" {0}", data.GraphDataCode.ToString());
-                strcmd += string.Format(",{0}", data.ConstructionPeriod.ToString());
-                strcmd += string.Format(",DATE_FORMAT('{0}','%Y/%m/%d')", data.SalesDataDays.ToShortDateString());
-                strcmd += string.Format(",{0}", data.DisplayOrder.ToString());
-                strcmd += string.Format(",'{0}'", data.DataName);
-                strcmd += string.Format(",{0}", data.SalesAmount.ToString());
-                strcmd += string.Format(",{0}", data.AdministrativeExpense.ToString());
-                strcmd += string.Format(",{0}", data.GrossProfit.ToString());
-                strcmd += string.Format(",{0}", data.NetIncome.ToString());
+                strcmd.AppendFormat(" {0}", data.GraphDataCode.ToString());
+                strcmd.AppendFormat(",{0}", data.ConstructionPeriod.ToString());
+                strcmd.AppendFormat(",DATE_FORMAT('{0}','%Y/%m/%d')", data.SalesDataDays.ToShortDateString());
+                strcmd.AppendFormat(",{0}", data.DisplayOrder.ToString());
+                strcmd.AppendFormat(",'{0}'", data.DataName);
+                strcmd.AppendFormat(",{0}", data.SalesAmount.ToString());
+                strcmd.AppendFormat(",{0}", data.AdministrativeExpense.ToString());
+                strcmd.AppendFormat(",{0}", data.GrossProfit.ToString());
+                strcmd.AppendFormat(",{0}", data.NetIncome.ToString());
 
-                strcmd += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", data.EntryDate);
-                strcmd += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", data.UpdateDate);
-                strcmd += ")";
+                strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", data.EntryDate);
+                strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", data.UpdateDate);
+                strcmd.Append(")");
 
-                if (!ExecuteNonQuery(strcmd, bConnect)) return false;
+                if (!ExecuteNonQuery(strcmd.ToString(), bConnect)) return false;
 
                 return true;
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
                 return false;
             }
         }
         public bool InsertAction(List<SalesGraphData> data, bool bConnect = true)
         {
-            string strcmd = "";
+            StringBuilder strcmd = new StringBuilder();
             try
             {
                 bool bColFirst = true;
-                strcmd = "INSERT INTO SalesGraphData";
-                strcmd += " (";
+                strcmd.Append("INSERT INTO SalesGraphData");
+                strcmd.Append(" (");
                 foreach (var gender in Enum.GetValues(typeof(NameColumn)))
                 {
-                    if (!bColFirst) strcmd += ", ";
-                    strcmd += gender.ToString();
+                    if (!bColFirst) strcmd.Append(", ");
+                    strcmd.Append(gender.ToString());
                     bColFirst = false;
                 }
-                strcmd += ") VALUES";
+                strcmd.Append(") VALUES");
 
                 bool bDataFirst = true;
                 foreach (SalesGraphData work in data)
                 {
-                    if (bDataFirst) strcmd += " (";
-                    else strcmd += ", (";
+                    if (bDataFirst) strcmd.Append(" (");
+                    else strcmd.Append(", (");
 
-                    strcmd += string.Format(" {0}", work.GraphDataCode.ToString());
-                    strcmd += string.Format(",{0}", work.ConstructionPeriod.ToString());
-                    strcmd += string.Format(",DATE_FORMAT('{0}','%Y/%m/%d')", work.SalesDataDays.ToShortDateString());
-                    strcmd += string.Format(",{0}", work.DisplayOrder.ToString());
-                    strcmd += string.Format(",'{0}'", work.DataName);
-                    strcmd += string.Format(",{0}", work.SalesAmount.ToString());
-                    strcmd += string.Format(",{0}", work.AdministrativeExpense.ToString());
-                    strcmd += string.Format(",{0}", work.GrossProfit.ToString());
-                    strcmd += string.Format(",{0}", work.NetIncome.ToString());
+                    strcmd.AppendFormat(" {0}", work.GraphDataCode.ToString());
+                    strcmd.AppendFormat(",{0}", work.ConstructionPeriod.ToString());
+                    strcmd.AppendFormat(",DATE_FORMAT('{0}','%Y/%m/%d')", work.SalesDataDays.ToShortDateString());
+                    strcmd.AppendFormat(",{0}", work.DisplayOrder.ToString());
+                    strcmd.AppendFormat(",'{0}'", work.DataName);
+                    strcmd.AppendFormat(",{0}", work.SalesAmount.ToString());
+                    strcmd.AppendFormat(",{0}", work.AdministrativeExpense.ToString());
+                    strcmd.AppendFormat(",{0}", work.GrossProfit.ToString());
+                    strcmd.AppendFormat(",{0}", work.NetIncome.ToString());
 
-                    strcmd += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.EntryDate);
-                    strcmd += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.UpdateDate);
-                    strcmd += ")";
+                    strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.EntryDate);
+                    strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.UpdateDate);
+                    strcmd.Append(")");
 
                     bDataFirst = false;
                 }
 
-                if (!ExecuteNonQuery(strcmd, false)) return false;
+                if (!ExecuteNonQuery(strcmd.ToString(), false)) return false;
 
                 return true;
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
                 return false;
             }
         }
@@ -214,34 +214,34 @@
         /// <returns>true：成功 false：失敗</returns>
         public bool UpdateAction(string AddSQLString, SalesGraphData data, bool bConnect = true)
         {
-            string strcmd = "";
+            StringBuilder strcmd = new StringBuilder();
             try
             {
 
-                strcmd = "UPDATE SalesGraphData";
+                strcmd.Append("UPDATE SalesGraphData");
 
-                strcmd += " SET";
+                strcmd.Append(" SET");
 
-                strcmd += string.Format(" GraphDataCode = {0}", data.GraphDataCode.ToString());
-                strcmd += string.Format(",ConstructionPeriod = {0}", data.ConstructionPeriod.ToString());
-                strcmd += string.Format(",SalesDataDays = STR_TO_DATE('{0}','%Y/%m/%d')", data.SalesDataDays.ToShortDateString());
-                strcmd += string.Format(",DisplayOrder = {0}", data.DisplayOrder.ToString());
-                strcmd += string.Format(",DataName = '{0}'", data.DataName);
-                strcmd += string.Format(",SalesAmount = {0}", data.SalesAmount.ToString());
-                strcmd += string.Format(",AdministrativeExpense = {0}", data.AdministrativeExpense.ToString());
-                strcmd += string.Format(",GrossProfit = {0}", data.GrossProfit.ToString());
-                strcmd += string.Format(",NetIncome = {0}", data.NetIncome.ToString());
+                strcmd.AppendFormat(" GraphDataCode = {0}", data.GraphDataCode.ToString());
+                strcmd.AppendFormat(",ConstructionPeriod = {0}", data.ConstructionPeriod.ToString());
+                strcmd.AppendFormat(",SalesDataDays = STR_TO_DATE('{0}','%Y/%m/%d')", data.SalesDataDays.ToShortDateString());
+                strcmd.AppendFormat(",DisplayOrder = {0}", data.DisplayOrder.ToString());
+                strcmd.AppendFormat(",DataName = '{0}'", data.DataName);
+                strcmd.AppendFormat(",SalesAmount = {0}", data.SalesAmount.ToString());
+                strcmd.AppendFormat(",AdministrativeExpense = {0}", data.AdministrativeExpense.ToString());
+                strcmd.AppendFormat(",GrossProfit = {0}", data.GrossProfit.ToString());
+                strcmd.AppendFormat(",NetIncome = {0}", data.NetIncome.ToString());
 
-                strcmd += ", UpdateDate = NOW()";
-                strcmd += AddSQLString;
+                strcmd.Append(", UpdateDate = NOW()");
+                strcmd.Append(AddSQLString);
 
-                if (!ExecuteNonQuery(strcmd, bConnect)) return false;
+                if (!ExecuteNonQuery(strcmd.ToString(), bConnect)) return false;
 
                 return true;
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
                 return false;
             }
         }
@@ -256,18 +256,18 @@
         public bool DeleteAction(string AddSQLString, bool bConnect = true)
         {
             // インターフェース
-            string strcmd = "";
+            StringBuilder strcmd = new StringBuilder();
             try
             {
-                strcmd = string.Format("{0}{1}", "DELETE FROM SalesGraphData", AddSQLString);
+                strcmd.AppendFormat("{0}{1}", "DELETE FROM SalesGraphData", AddSQLString);
 
-                if (!ExecuteNonQuery(strcmd, bConnect)) return false;
+                if (!ExecuteNonQuery(strcmd.ToString(), bConnect)) return false;
 
                 return true;
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
                 return false;
             }
         }
@@ -316,22 +316,22 @@
         /// <returns>Where文字列</returns>
         public string CreatePrimarykeyString(int GraphDataCode, int ConstructionPeriod, DateTime SalesDataDays)
         {
-            string strWork = string.Empty;
+            StringBuilder strWork = new StringBuilder();
             try
             {
-                strWork = string.Format(" Where GraphDataCode = {0}", GraphDataCode.ToString());
+                strWork.AppendFormat(" Where GraphDataCode = {0}", GraphDataCode.ToString());
                 if (ConstructionPeriod != 0)
-                    strWork += string.Format(" And ConstructionPeriod = {0}", ConstructionPeriod);
+                    strWork.AppendFormat(" And ConstructionPeriod = {0}", ConstructionPeriod);
                 if (SalesDataDays != DateTime.MinValue)
-                    strWork += string.Format(" And SalesDataDays = STR_TO_Date(SalesDataDays, '%Y/%m/%d')", SalesDataDays.ToShortDateString());
+                    strWork.AppendFormat(" And SalesDataDays = STR_TO_Date(SalesDataDays, '%Y/%m/%d')", SalesDataDays.ToShortDateString());
 
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strWork);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strWork.ToString());
             }
 
-            return strWork;
+            return strWork.ToString();
         }
         #endregion
     }
